View Issue Details

IDProjectCategoryView StatusLast Update
0018456MediaMonkey 5Tracklistpublic2021-11-06 22:57
Reporterrusty Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status assignedResolutionreopened 
Product Version5.0.2 
Target Version5.0.3Fixed in Version5.0.2 
Summary0018456: Sort order is lost in various cases
DescriptionThis bug is to track issues related to sort order not persisting in various scenarios (only 1 case documented atm):

1) Music > Genres > GenreName [List] fails to persist:
1 Start MM and navigate to Music > Genres > Acoustic Rock [List]
--> Sort is by "# ascending" (which doesn't really make much sense)
2 Right click on the header, and 'Choose columns/sort'
3 Set sort order to Album Artist, Year, Title
4 Press the View switcher button 4x to switch to [List (by Album)], then [Browser], then [Grid (by Album)] and the view and then back to [List]
--> Sort order is lost!

What's strange is that just switching between [List] --> Another view --> [List] always seems to work?!
TagsNo tags attached.
Fixed in build2512

Relationships

related to 0018314 feedbackrusty Unable to change View / revert to default sorts by clicking on Summary column label 
parent of 0018519 closedLudek Sort order in Tracks in Browser not remembered after restart 

Activities

petr

2021-10-25 18:50

developer   ~0065494

Fixed

peke

2021-10-29 19:53

developer   ~0065562

Verified 2513

rusty

2021-10-29 20:39

administrator   ~0065579

Reset to resolved so that this issue is tested in all other conceivable scenarios.

peke

2021-11-01 02:07

developer   ~0065600

Last edited: 2021-11-01 02:07

View 2 revisions

Assigned for me to test case reported at https://www.mediamonkey.com/forum/viewtopic.php?p=489524#p489524 per user PM that thinks is is related to this bug.

peke

2021-11-02 23:50

developer   ~0065658

Found one based on user note:
1. Select several tracks -> Auto Tag -> Choose Fields
2. Invert Artwork and Summary
3. Click on sorting Album A..Z so that it changes to Album Z..A -> OK
4. Column Order do not change (Expected it change)
5. Use Tag and Continue to tag files
6. Open Auto Tag again -> All settings are reset.

petr

2021-11-03 07:12

developer   ~0065668

re step 4) Artwork is always first column and Summary second .. in editor these two columns should be fixed in 1st and 2nd position ... that's the issue i see (minor issue)